#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "PlayerMutator.generated.h"

class ASurvivor;

UCLASS(Blueprintable, Abstract, EditInlineNew)
class UPlayerMutator : public UMutator
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _applyToSurvivors;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _applyToKiller;

private:
	UFUNCTION(BlueprintCallable)
	void OnSurvivorAdded(ASurvivor* survivor);

public:
	UPlayerMutator();
};

FORCEINLINE uint32 GetTypeHash(const UPlayerMutator) { return 0; }
